Subject: Re: bug#12832: 24.3.50; Emacs lockup when idle

From: Andy Moreton <[email-masked]>
Date: Fri, 09 Nov 2012 18:38:36 +0000

On 09/11/2012 18:11, Eli Zaretskii wrote:
>> Date: Fri, 09 Nov 2012 13:14:45 +0200
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>>
>> > Date: Fri, 09 Nov 2012 10:48:31 +0000
>> > From: Andy Moreton <[email-masked]>
>> > CC: [email-masked]
>> >
>> > I have some files open via tramp (pscp method) on another machine. This uses
>> > putty for ssh (plink.exe) and scp (pscp.exe) for file tranfers. At the time of
>> > the lockup, emacs had a CMD.EXE subprocess running plink.exe.
>>
>> Thanks.  I wanted to know this to try to reproduce the lockup here.  I
>> will try that as soon as the problem with crashes on Windows is
>> resolved.
>
> The latest trunk is up and running for more than 3 hours with no
> problems.  I have a shell buffer running plink and a remote file
> fetched with pscp.  I also have display-time active.

I have seen this once again, after doing a full bootstrap from tip this 
morning to ensure I wasn't seeing artifacts of a broken build. It seems to 
happen about once a day.

> Any other features you have on that could trigger periodic processing
> of any kind?

Not that I know of. The emacs-server is running, but I not used anything that 
connects to it, so it should be doing anything. I do use gnus to read news, 
but quit gnus after I've read some groups (the lockup was several hours later).

The compiler update may be at issue, so I'll try downgrading back to MinGW gcc 
4.7.0 and doing a full bootstrap.

Anything else I should look for in gdb ?

     AndyM